LibreOffice: XNumberFormatter2 Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XNumberFormatter2 Interface Referencepublished

Provides a unified interface for the NumberFormatter service to implement. More...

`import "XNumberFormatter2.idl";`

Inheritance diagram for XNumberFormatter2:

## Exported Interfaces
interface | com::sun::star::util::XNumberFormatter
| is used to format or parse numbers using formats from a NumberFormats object.
interface | com::sun::star::util::XNumberFormatPreviewer
| is used to format numbers using a number format string that is not inserted into a NumberFormats object.

## Additional Inherited Members
Public Member Functions inherited from XNumberFormatter
void | attachNumberFormatsSupplier ([in] com::sun::star::util::XNumberFormatsSupplier xSupplier)
| attaches an XNumberFormatsSupplier to this NumberFormatter.
com::sun::star::util::XNumberFormatsSupplier | getNumberFormatsSupplier ()
long | detectNumberFormat ([in] long nKey, [in] string aString) raises ( com::sun::star::util::NotNumericException )
| detects the number format in a string which contains a formatted number.
double | convertStringToNumber ([in] long nKey, [in] string aString) raises ( com::sun::star::util::NotNumericException )
| converts a string which contains a formatted number into a number.
string | convertNumberToString ([in] long nKey, [in] double fValue)
| converts a number into a string.
com::sun::star::util::Color | queryColorForNumber ([in] long nKey, [in] double fValue, [in] com::sun::star::util::Color aDefaultColor)
string | formatString ([in] long nKey, [in] string aString)
| converts a string into another string.
com::sun::star::util::Color | queryColorForString ([in] long nKey, [in] string aString, [in] com::sun::star::util::Color aDefaultColor)
string | getInputString ([in] long nKey, [in] double fValue)
| converts a number into a string with the specified format.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XNumberFormatPreviewer
string | convertNumberToPreviewString ([in] string aFormat, [in] double fValue, [in] com::sun::star::lang::Locale nLocale, [in] boolean bAllowEnglish) raises ( com::sun::star::util::MalformedNumberFormatException )
| formats a value using a format string, without inserting a number format into the list.
com::sun::star::util::Color | queryPreviewColorForNumber ([in] string aFormat, [in] double fValue, [in] com::sun::star::lang::Locale nLocale, [in] boolean bAllowEnglish, [in] com::sun::star::util::Color aDefaultColor) raises ( com::sun::star::util::MalformedNumberFormatException )
| returns the color which is to be used for a number.

## Detailed Description

Provides a unified interface for the NumberFormatter service to implement.

Since
  LibreOffice 4.0

## Exported Interfaces

## ◆ com::sun::star::util::XNumberFormatPreviewer

interface com::sun::star::util::XNumberFormatPreviewer

is used to format numbers using a number format string that is not inserted into a NumberFormats object.

## ◆ com::sun::star::util::XNumberFormatter

interface com::sun::star::util::XNumberFormatter

is used to format or parse numbers using formats from a NumberFormats object.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XNumberFormatter2.idl